Description

Supportanfrage

Lassen sich die Display-TB Beispiele auch mit den OSG-DLLs, die im "Bin"-Ordner abliegen, erstellen? Das habe ich probiert, hat
aber nicht so direkt funktioniert und ich habe Linker-Fehler bekommen (z.B. osg:VertexArray wurde nicht gefunden).

Wenn das nicht geht: Gibt es schon irgendwo eine fertig gebaute OSG 3.5.6 Version? Im Digitalwerk-Repo Ordner habe ich keine
finden kdnnen und auf https://objexx.com/OpenSceneGraph.html gibt es auch keine 3.5.6.

Ansonsten musste ich mir OSG 3.5.6. Lib selbst bauen, aber das ist je nach Lib haufig ein etwas mihsames Geschaft mit allen
Abhangigkeiten ;-)-

Viele GruBe

Lésung

Die Libraries im binary folder sind nur zur Laufzeit gedacht, da fehlen u.a. auch die Header.

Alle relevanten Developer SDKs findest du in unseren Artifactory, damit kannst du sie auch mittels conan nutzen.
Das gilt auch fur OSG:

o https://artifactory.digitalwerk.net/artifactory/webapp/#/artifacts/browse/tree/General/dw-developer-sdk/dw/OSG/3.5.6/stable

History

#1 - 2020-11-10 12:38 - hidden

- Description updated

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

- Topic set to Display TB::3DSceneDisplay

- Customer set to AUDI

- Department set to AST

Hallo Dirk,

die Libraries im binary folder sind nur zur Laufzeit gedacht, da fehlen u.a. auch die Header.

Alle relevanten Developer SDKs findest du in unseren Artifactory, damit kannst du sie auch mittels conan nutzen.

Das gilt auch fur OSG:

e https://artifactory.digitalwerk.net/artifactory/webapp/#/artifacts/browse/tree/General/dw-developer-sdk/dw/OSG/3.5.6/stable

#2 - 2020-11-11 08:15 - hidden
- File image001.png added

Sehr geehrter Support,

auf die Artifactory-Webseite kann ich zugreifen, allerdings habe ich Probleme per Conan auf das Artifactory zuzugreifen:
Gibt es hier etwas zu beachten?

Ich habe auch versucht das Passwort fiir das Repo im Conan zu setzen. Da kam aber auch die gleiche Fehlermeldung. Als Username und Account
habe ich es mit den Zugangsdaten zur Digitalwerk-Webseite/Account und dem NT-User probiert. Ich bin Gber das VPN ins Audi-Netz eingewahlt.
Das Erstellen der Display-TB- Beispiele funktioniert aber jetzt zumindest :)

Danke.

Viele GruBe

Dirk

#3 - 2020-11-12 11:54 - hidden

Hallo Dirk,

einen Zugang brauchst du nicht, die Remotes sind frei verfugbar.

Wenn ich die Fehlermeldung richtig deute, liegt es am AUDI Proxy der das verbietet.
Elne Abhilfe ist hier verlinkt -> https://support.digitalwerk.net/projects/download-center/wiki/Conan

Alternativ kannst du auch das OSG aus der CIP nutzen ->

https://www.cip.audi.de/artifactory/webapp/#/artifacts/browse/tree/General/thirdparty-conan-releases/aev25/0SG/3.5.6/stable
Ist zwar VC140 aber sollte auch gehen als Alternative

#4 - 2020-11-13 09:00 - hidden

Danke fur die Info :). Mit dem Proxy funktioniert es jetzt. Schon wére es natirlich noch, wenn man das Passwort nicht als Klartext in die
Proxy-Settings schreiben misste, sondern z.B. eine Passwortabfrage k&me. Ich vermute dafiir habt ihr aber auch keine Lésung.

Viele GruBe

Dirk

#5 - 2020-11-13 10:11 - hidden

- Subject changed from Erstellung Display-TB Beispiele mit OSG to Receiving OSG binaries and developer package
Hallo Dirk,

leider nein, dass ist ja Sache der AUDI IT und liegt nicht an uns, ist auch nur ein Workaround.

Die sauberste Ldsung ware, dass die AUDI IT unser artifactory zulésst (genauso wie andere, conan center etc), betrifft aber nur den proxy in der
command line.

Via Browser kommst du ja hin, da ist es nicht gesperrt.

Leider kbnnen wir da nichts an der Stelle machen...

#6 - 2020-11-13 10:11 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2020-11-13 13:15 - hidden

Ok. Danke fir die Info. Hauptsache ich komme erstmal drauf.
Dann kann das Ticket geschlossen werden.

Viele GriBe

Dirk
